Lua_WildSecretRankTipsWindow = class("Lua_WildSecretRankTipsWindow", Lua_Window)
function Lua_WildSecretRankTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WildSecretRankTipsWindow";
	self.skinName = "WildSecretRankTipsWindow_skin";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.blackAlpha = 0.01;
	self.isClickClose = true;
end

function Lua_WildSecretRankTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_WildSecretRankTipsWindow:dispose()
	self:superCall("dispose");
end

function Lua_WildSecretRankTipsWindow:showWin(param)
	self:superCall("showWin", param);

	self.scoreText_1.text = LanUtil.formateStr(701070, tostring(param.data.grab_score));
	self.scoreText_2.text = LanUtil.formateStr(701071, tostring(param.data.mine_site_output_score));
	if param.anchorValue then
		LuaUtil.setObjAnchor(self.winObject, param.anchorValue);
	else
		LuaUtil.setObjAnchor(self.winObject, 4);
	end
	LuaUtil.setObjPos(self.winObject, param.posX, param.posY, 0);
end